## haskell-swish 0.10.0.7

=== debian/changelog ===
haskell-swish (0.10.0.7-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * use semantic newlines in long description
  * update package relations to relax GHC upper bounds for network-uri
  * drop patch 1001 obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Oct 2021 01:55:04 +0200
