=== debian/control ===
Source: haskell-swish
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <debian-haskell@lists.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cdbs,
 debhelper,
 dh-buildinfo,
 ghc,
 ghc-prof,
 libghc-hashable-dev (<< 1.4),
 libghc-hashable-prof,
 libghc-intern-dev (<< 1.0),
 libghc-intern-prof,
 libghc-network-uri-dev (<< 2.8),
 libghc-network-uri-prof,
 libghc-old-locale-dev (<< 1.1),
 libghc-old-locale-prof,
 libghc-polyparse-dev (<< 1.14),
 libghc-polyparse-prof,
 libghc-semigroups-dev (<< 0.20),
 libghc-semigroups-prof,
 haskell-devscripts,
 help2man,
 chrpath,
Build-Depends-Indep:
 ghc-doc,
 libghc-hashable-doc,
 libghc-intern-doc,
 libghc-network-uri-doc,
 libghc-old-locale-doc,
 libghc-polyparse-doc,
 libghc-semigroups-doc,
 libghc-unordered-containers-doc,
Standards-Version: 4.5.0
Homepage: https://gitlab.com/dburke/swish
Vcs-Git: https://salsa.debian.org/haskell-team/haskell-swish.git
Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-swish
Rules-Requires-Root: no

Package: swish
Section: web
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: semantic web toolkit - tools
 Swish is a framework for performing deductions in RDF data
 using a variety of techniques.
 Swish is conceived as a toolkit for experimenting with RDF inference,
 and for implementing stand-alone RDF file processors
 (usable in similar style to CWM,
 but with a view to being extensible in declarative style
 through added Haskell function and data value declarations).
 It explores Haskell as "a scripting language for the Semantic Web".
 .
 Swish is a work-in-progress, and currently incorporates:
 .
  * Turtle, Notation3 and NTriples input and output.
    The N3 support is incomplete (no handling of @forAll).
  * RDF graph isomorphism testing and merging.
  * Display of differences between RDF graphs.
  * Inference operations in forward chaining, backward chaining
    and proof-checking modes.
  * Simple Horn-style rule implementations,
    extendable through variable binding modifiers and filters.
  * Class restriction rule implementation,
    primarily for datatype inferences.
  * RDF formal semantics entailment rule implementation.
  * Complete, ready-to-run, command-line and script-driven programs.
 .
 This package contains the swish tool.

Package: libghc-swish-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: semantic web toolkit - libraries
 Swish is a framework for performing deductions in RDF data
 using a variety of techniques.
 Swish is conceived as a toolkit for experimenting with RDF inference,
 and for implementing stand-alone RDF file processors
 (usable in similar style to CWM,
 but with a view to being extensible in declarative style
 through added Haskell function and data value declarations).
 It explores Haskell as "a scripting language for the Semantic Web".
 .
 Swish is a work-in-progress, and currently incorporates:
 .
  * Turtle, Notation3 and NTriples input and output.
    The N3 support is incomplete (no handling of @forAll).
  * RDF graph isomorphism testing and merging.
  * Display of differences between RDF graphs.
  * Inference operations in forward chaining, backward chaining
    and proof-checking modes.
  * Simple Horn-style rule implementations,
    extendable through variable binding modifiers and filters.
  * Class restriction rule implementation,
    primarily for datatype inferences.
  * RDF formal semantics entailment rule implementation.
  * Complete, ready-to-run, command-line and script-driven programs.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-swish-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Description: semantic web toolkit - library documentation
 Swish is a framework for performing deductions in RDF data
 using a variety of techniques.
 Swish is conceived as a toolkit for experimenting with RDF inference,
 and for implementing stand-alone RDF file processors
 (usable in similar style to CWM,
 but with a view to being extensible in declarative style
 through added Haskell function and data value declarations).
 It explores Haskell as "a scripting language for the Semantic Web".
 .
 Swish is a work-in-progress, and currently incorporates:
 .
  * Turtle, Notation3 and NTriples input and output.
    The N3 support is incomplete (no handling of @forAll).
  * RDF graph isomorphism testing and merging.
  * Display of differences between RDF graphs.
  * Inference operations in forward chaining, backward chaining
    and proof-checking modes.
  * Simple Horn-style rule implementations,
    extendable through variable binding modifiers and filters.
  * Class restriction rule implementation,
    primarily for datatype inferences.
  * RDF formal semantics entailment rule implementation.
  * Complete, ready-to-run, command-line and script-driven programs.
 .
 This package contains the library documentation for swish.

Package: libghc-swish-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
Provides:
 ${haskell:Provides},
Description: semantic web toolkit - profiling libraries
 Swish is a framework for performing deductions in RDF data
 using a variety of techniques.
 Swish is conceived as a toolkit for experimenting with RDF inference,
 and for implementing stand-alone RDF file processors
 (usable in similar style to CWM,
 but with a view to being extensible in declarative style
 through added Haskell function and data value declarations).
 It explores Haskell as "a scripting language for the Semantic Web".
 .
 Swish is a work-in-progress, and currently incorporates:
 .
  * Turtle, Notation3 and NTriples input and output.
    The N3 support is incomplete (no handling of @forAll).
  * RDF graph isomorphism testing and merging.
  * Display of differences between RDF graphs.
  * Inference operations in forward chaining, backward chaining
    and proof-checking modes.
  * Simple Horn-style rule implementations,
    extendable through variable binding modifiers and filters.
  * Class restriction rule implementation,
    primarily for datatype inferences.
  * RDF formal semantics entailment rule implementation.
  * Complete, ready-to-run, command-line and script-driven programs.
 .
 This package contains the profiling libraries for swish.
