## haskell-swish 0.10.0.8

=== debian/changelog ===
haskell-swish (0.10.0.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update package relations to relax GHC upper bounds for hashable

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Nov 2021 17:59:37 +0100
