=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-buildinfo,
  ghc,
  ghc-prof,
- libghc-hashable-dev (<< 1.4),
+ libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
  libghc-intern-dev (<< 1.0),
  libghc-intern-prof,
