=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
  $(word 5,$(subst $(comma),$(space),$(dep))))))
 
 # Needed by upstream build
-ghc-deps += hashable,<<,1.4
+ghc-deps += hashable,<<,1.5
 ghc-deps += old-locale,<<,1.1
 ghc-deps += network-uri,<<,2.8
 ghc-deps += polyparse,<<,1.14
