## haskell-swish 0.10.1.0

=== debian/changelog ===
haskell-swish (0.10.1.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update package relations
    to relax GHC upper bounds for semigroups
  * tighten lintian overrides
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jan 2022 20:44:28 +0100
