=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libghc-old-locale-prof,
  libghc-polyparse-dev (<< 1.14),
  libghc-polyparse-prof,
- libghc-semigroups-dev (<< 0.20),
+ libghc-semigroups-dev (<< 0.21),
  libghc-semigroups-prof,
  haskell-devscripts,
  help2man,
