=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 ghc-deps += old-locale,<<,1.1
 ghc-deps += network-uri,<<,2.8
 ghc-deps += polyparse,<<,1.14
-ghc-deps += semigroups,<<,0.20
+ghc-deps += semigroups,<<,0.21
 ghc-deps += intern,<<,1.0
 bdeps = ghc, ghc-prof
 bdeps +=, $(call expand-ghc-deps,dev,prof,$(ghc-deps))
