## haskell-swish 0.10.2.0

=== debian/changelog ===
haskell-swish (0.10.2.0-2) unstable; urgency=medium

  * no-change upload to link against newer base libraries

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Jul 2022 16:09:07 +0200

haskell-swish (0.10.2.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * declare compliance with Debian Policy 4.6.1
  * relax upper GHC bounds for hashable;
    drop GHC bounds for old-locale
  * update copyright info: update coverage
  * fix enable tests;
    add GHC build-dependencies
    for hunit test-framework test-framework-hunit;
    closes: bug#1011913, thanks to Scott Talbert
  * annotate test-only build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 May 2022 10:41:21 +0200
