=== debian/control ===
--- 
+++ 
@@ -10,31 +10,31 @@
  dh-buildinfo,
  ghc,
  ghc-prof,
- libghc-hashable-dev (<< 1.5),
+ libghc-hashable-dev (<< 1.6),
  libghc-hashable-prof,
  libghc-intern-dev (<< 1.0),
  libghc-intern-prof,
  libghc-network-uri-dev (<< 2.8),
  libghc-network-uri-prof,
- libghc-old-locale-dev (<< 1.1),
- libghc-old-locale-prof,
  libghc-polyparse-dev (<< 1.14),
  libghc-polyparse-prof,
  libghc-semigroups-dev (<< 0.21),
  libghc-semigroups-prof,
  haskell-devscripts,
  help2man,
+ libghc-hunit-dev <!nocheck>,
+ libghc-test-framework-dev <!nocheck>,
+ libghc-test-framework-hunit-dev <!nocheck>,
  chrpath,
 Build-Depends-Indep:
  ghc-doc,
  libghc-hashable-doc,
  libghc-intern-doc,
  libghc-network-uri-doc,
- libghc-old-locale-doc,
  libghc-polyparse-doc,
  libghc-semigroups-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.com/dburke/swish
 Vcs-Git: https://salsa.debian.org/haskell-team/haskell-swish.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-swish
