## haskell-swish 0.10.3.0

=== debian/changelog ===
haskell-swish (0.10.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Jan 2023 15:33:53 +0100
