=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  libghc-polyparse-doc,
  libghc-semigroups-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/dburke/swish
 Vcs-Git: https://salsa.debian.org/haskell-team/haskell-swish.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-swish
