=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DEB_ENABLE_TESTS = yes
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 -include /usr/share/cdbs/1/class/hlibrary.mk
@@ -11,18 +13,19 @@
   $(comma) libghc-$3-$(expandsuffix) ($6 $7)))\
  $(foreach stripsuffix,$2,\
   $(comma) libghc-$3-$(stripsuffix))
-expand-ghc-deps = $(foreach dep,$(sort $3),$(call expand-or-strip-ghc-dep,\
- $1,\
- $2,$(strip \
- $(word 1,$(subst $(comma),$(space),$(dep)))),$(strip \
- $(word 2,$(subst $(comma),$(space),$(dep)))),$(strip \
- $(word 3,$(subst $(comma),$(space),$(dep)))),$(strip \
- $(word 4,$(subst $(comma),$(space),$(dep)))),$(strip \
- $(word 5,$(subst $(comma),$(space),$(dep))))))
+expand-ghc-deps = $(foreach dep,$(sort $3),$(strip \
+ $(call expand-or-strip-ghc-dep,\
+  $1,\
+  $2,$(strip \
+  $(word 1,$(subst $(comma),$(space),$(dep)))),$(strip \
+  $(word 2,$(subst $(comma),$(space),$(dep)))),$(strip \
+  $(word 3,$(subst $(comma),$(space),$(dep)))),$(strip \
+  $(word 4,$(subst $(comma),$(space),$(dep)))),$(strip \
+  $(word 5,$(subst $(comma),$(space),$(dep))))) \
+ $4))
 
 # Needed by upstream build
-ghc-deps += hashable,<<,1.5
-ghc-deps += old-locale,<<,1.1
+ghc-deps += hashable,<<,1.6
 ghc-deps += network-uri,<<,2.8
 ghc-deps += polyparse,<<,1.14
 ghc-deps += semigroups,<<,0.21
@@ -32,7 +35,7 @@
 
 # Needed by upstream testsuite
 ghc-deps-test = hunit test-framework test-framework-hunit
-bdeps-test = $(call expand-ghc-deps,dev,$(ghc-deps-test))
+bdeps-test = $(call expand-ghc-deps,dev,,$(ghc-deps-test),<!nocheck>)
 
 # Needed by upstream documentation build
 bdeps-indep = ghc-doc
@@ -48,8 +51,6 @@
 # TODO: actually use CDBS_BUILD_DEPENDS_INDEP, instead of hardcoding
 CDBS_BUILD_DEPENDS +=, $(bdeps), $(bdeps-test), $(bdeps-prof)
 CDBS_BUILD_DEPENDS_INDEP +=, $(bdeps-indep)
-
-DEB_ENABLE_TESTS = yes
 
 # generate manpage based on --help of script itself
 # (using wrappers to emulate --version and provide --description)
