## haskell-swish 0.10.4.0

=== debian/changelog ===
haskell-swish (0.10.4.0-1+rpi1) trixie-staging; urgency=medium

  * Remove build-dependency on ghc-doc.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 22 Feb 2024 06:30:52 +0000

haskell-swish (0.10.4.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Jul 2023 14:30:40 +0200
