=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
  libghc-test-framework-hunit-dev <!nocheck>,
  chrpath,
 Build-Depends-Indep:
- ghc-doc,
  libghc-hashable-doc,
  libghc-intern-doc,
  libghc-network-uri-doc,
