## haskell-swish 0.10.9.0

=== debian/changelog ===
haskell-swish (0.10.9.0-2) unstable; urgency=medium

  * no-changes upload to link against newer GHC;
    closes: bug#1085030, thanks to Ilias Tsitsimpis

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 19:12:36 +0200

haskell-swish (0.10.9.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file:
    + track upstream source (not hackage distribution)
    + avoid bogus tag 0.10.11.1
    + set dversionmangle=auto
    + improve usage config
  * update copyright info:
    + update coverage
    + update Source URI
  * simplify packaging
  * declare compliance with Debian Policy 4.7.0
  * deduplicate description strings,
    using ${source:Synopsis} and ${source:Extended-Description}
  * relax upper GHC bounds for hashable

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Aug 2024 10:16:44 +0200

haskell-swish (0.10.7.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * tighten upper GHC bounds for hashable

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Nov 2023 15:22:05 +0100
