## haskell-swish 0.10.10.0

=== debian/changelog ===
haskell-swish (0.10.10.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jan 2025 01:21:08 +0100
