=== debian/rules ===
#!/usr/bin/make -f

DEB_ENABLE_TESTS = yes

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/hlibrary.mk

# generate manpage based on --help of script itself
# (using wrappers to emulate --version and provide --description)
post-build/swish:: swish := $(wildcard debian/tmp-inst-*/usr/bin/Swish)
post-build/swish:: debian/Swish.1
debian/Swish.1:
	help2man \
		--name="read, merge, write, compare and process RDF graphs" \
		--help-option=-h --version-option=-v \
		--no-info --output=$@ $(swish)
clean::
	rm -f debian/Swish.1

# Strip hardcoded rpath
binary-strip/swish::
	find debian/$(cdbs_curpkg)/usr/bin -type f -execdir chrpath -d '{}' +
