=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
searchmode=plain,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
downloadurlmangle=s/-\/tags\?sort=updated_desc//,\
dversionmangle=auto \
https://gitlab.com/dburke/swish/-/tags?sort=updated_desc \
-/archive/(?!0\.10\.11\.1)\d[\d.]+\w*/swish-@ANY_VERSION@@ARCHIVE_EXT@
